UART Binary Data Extractors

This group of methods are useful for extracting data from binary data packets. More...

## Functions

uint8_t | VnUartPacket_extractUint8 (VnUartPacket *packet)
| Extracts a uint8_t data type from a binary packet and advances the next extraction point appropriately. More...
int8_t | VnUartPacket_extractInt8 (VnUartPacket *packet)
| Extracts a int8_t data type from a binary packet and advances the next extraction point appropriately. More...
uint16_t | VnUartPacket_extractUint16 (VnUartPacket *packet)
| Extracts a uint16_t data type from a binary packet and advances the next extraction point appropriately. More...
uint32_t | VnUartPacket_extractUint32 (VnUartPacket *packet)
| Extracts a uint32_t data type from a binary packet and advances the next extraction point appropriately. More...
uint64_t | VnUartPacket_extractUint64 (VnUartPacket *packet)
| Extracts a uint64_t data type from a binary packet and advances the next extraction point appropriately. More...
float | VnUartPacket_extractFloat (VnUartPacket *packet)
| Extracts a float data type from a binary packet and advances the next extraction point appropriately. More...
vec3f | VnUartPacket_extractVec3f (VnUartPacket *packet)
| Extracts a vec3f data type from a binary packet and advances the next extraction point appropriately. More...
vec3d | VnUartPacket_extractVec3d (VnUartPacket *packet)
| Extracts a vec3d data type from a binary packet and advances the next extraction point appropriately. More...
vec4f | VnUartPacket_extractVec4f (VnUartPacket *packet)
| Extracts a vec4f data type from a binary packet and advances the next extraction point appropriately. More...
mat3f | VnUartPacket_extractMat3f (VnUartPacket *packet)
| Extracts a mat3f data type from a binary packet and advances the next extraction point appropriately. More...

## Detailed Description

This group of methods are useful for extracting data from binary data packets.

## Function Documentation

float VnUartPacket_extractFloat | ( | VnUartPacket * | packet | ) |

Extracts a float data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

int8_t VnUartPacket_extractInt8 | ( | VnUartPacket * | packet | ) |

Extracts a int8_t data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

mat3f VnUartPacket_extractMat3f | ( | VnUartPacket * | packet | ) |

Extracts a mat3f data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

uint16_t VnUartPacket_extractUint16 | ( | VnUartPacket * | packet | ) |

Extracts a uint16_t data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

uint32_t VnUartPacket_extractUint32 | ( | VnUartPacket * | packet | ) |

Extracts a uint32_t data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

uint64_t VnUartPacket_extractUint64 | ( | VnUartPacket * | packet | ) |

Extracts a uint64_t data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

Examples:
  getting_started/main.c, and sensor/main.c.

uint8_t VnUartPacket_extractUint8 | ( | VnUartPacket * | packet | ) |

Extracts a uint8_t data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

vec3d VnUartPacket_extractVec3d | ( | VnUartPacket * | packet | ) |

Extracts a vec3d data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

vec3f VnUartPacket_extractVec3f | ( | VnUartPacket * | packet | ) |

Extracts a vec3f data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.

Examples:
  getting_started/main.c, and sensor/main.c.

vec4f VnUartPacket_extractVec4f | ( | VnUartPacket * | packet | ) |

Extracts a vec4f data type from a binary packet and advances the next extraction point appropriately.

Parameters

  [in] | packet | The packet to extract the value from.

Returns
  The extracted value.